Bug 536410 - (RHQ-762) Deployment of jar files fails - not supported by plugin?
Deployment of jar files fails - not supported by plugin?
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
All All
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: Reopened, SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
Reported: 2008-08-27 10:32 EDT by Corey Welton
Modified: 2014-05-02 13:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-05-02 13:55:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwelton: archived+

Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2008-08-27 10:32:00 EDT
Repro steps:

1. Login to JON instance.
2. navigate to RHQ AS server resource
3. Packages > New; Upload New Package
4. Specify "Jar Library" as the "Type", but upload a .jar
5. Attempt to deploy.
6. Packages > History
7.  Note the failure for the jar you attempted to upload.

Expected result:
Successful deployment

Current result:
java.lang.UnsupportedOperationException: Deployment of new libraries is not supported by the plugin.
	at org.rhq.plugins.jbossas.JBossASServerComponent.deployPackages(JBossASServerComponent.java:413)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:585)
	at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:446)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:269)
	at java.util.concurrent.FutureTask.run(FutureTask.java:123)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:650)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:675)
	at java.lang.Thread.run(Thread.java:595)
Comment 1 Jason Dobies 2008-08-27 10:46:29 EDT
This is expected, we haven't implemented it yet.
Comment 2 Joseph Marques 2008-08-28 01:36:25 EDT
not only is this expected, but this is a private plugin that is not part of the RHQ codebase proper.  please open in the appropriate repository for the plugin you're building, if you want this addressed as a bug (or i suppose a feature request).
Comment 3 Red Hat Bugzilla 2009-11-10 16:16:26 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-762
Comment 4 John Sefler 2010-02-10 15:57:19 EST
Since the JBoss plugins are now part of the RHQ project, it makes sense to re-open this bug/feature request.

Stack trace in Comment #1 is still present in the JON 2.3.1 builds.

Corey will close out the JOPR-87 JOPR-283.
Comment 5 wes hayutin 2010-02-16 11:51:48 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

new = Tracking + FutureFeature + SubBug
Comment 6 wes hayutin 2010-02-16 11:57:58 EST
making sure we're not missing any bugs in rhq_triage

Note You need to log in before you can comment on or make changes to this bug.